> ## Documentation Index
> Fetch the complete documentation index at: https://help.commbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Object

> This API returns the details of a specific conversation (object).<br> Data includes information about the customer, the agent, and a separate account of the messages (Child) of the conversation (Object).<br>  Note that the last communication will appear at the top of the report.<br>Required path params are the **Stream (channel) Id** and **Object (conversation) Id** - Stream Id could be encrypted or not.   </br></br>(GET) /streams/STREAM_ID/objects/OBJECT_ID  <br> <br><b>Example:</b> <br>https://api.commbox.io/streams/532/objects/293854<br><br>Note: When Children are not included in the request, the API only returns the last message. When requesting logs (optional), the return will include all system actions (for example, CRM activity) for the conversation.   

## OpenAPI

````json GET /streams/{STREAM_ID}/objects/{OBJECT_ID}
{
  "openapi": "3.0.3",
  "info": {
    "title": "CommBox API",
    "x-logo": {
      "url": "https://www.commbox.io/logo/commbox_logo_large.png"
    },
    "version": "2.07",
    "termsOfService": "https://www.commbox.io/end-user-license-agreement-eula/",
    "contact": {
      "name": "commbox",
      "url": "https://www.commbox.io",
      "email": "contactus@commbox.io"
    }
  },
  "servers": [
    {
      "url": "https://api.commbox.io/",
      "description": "Production server"
    }
  ],
  "paths": {
    "/streams/{STREAM_ID}/objects/{OBJECT_ID}": {
      "get": {
        "tags": [
          "Objects"
        ],
        "summary": "Get Object",
        "description": "This API returns the details of a specific conversation (object).<br> Data includes information about the customer, the agent, and a separate account of the messages (Child) of the conversation (Object).<br>  Note that the last communication will appear at the top of the report.<br>Required path params are the **Stream (channel) Id** and **Object (conversation) Id** - Stream Id could be encrypted or not.   </br></br>(GET) /streams/STREAM_ID/objects/OBJECT_ID  <br> <br><b>Example:</b> <br>https://api.commbox.io/streams/532/objects/293854<br><br>Note: When Children are not included in the request, the API only returns the last message. When requesting logs (optional), the return will include all system actions (for example, CRM activity) for the conversation.   ",
        "operationId": "Get_Object",
        "parameters": [
          {
            "name": "STREAM_ID",
            "in": "path",
            "description": "Stream Id is a CommBox generated number for the channel.",
            "required": true,
            "schema": {
              "$ref": "#/components/parameters/STREAM_ID/schema"
            }
          },
          {
            "name": "OBJECT_ID",
            "in": "path",
            "description": "Object Id is a CommBox generated number for the conversation.",
            "required": true,
            "schema": {
              "$ref": "#/components/parameters/OBJECT_ID/schema"
            }
          },
          {
            "$ref": "#/components/parameters/includeChilds"
          },
          {
            "$ref": "#/components/parameters/includeActivityLog"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": 200
                    },
                    "description": {
                      "type": "string",
                      "example": "Operation successful"
                    },
                    "response_time": {
                      "type": "string",
                      "example": "2024-08-06T07:51:52.2581942Z"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "oneOf": [
                          {
                            "type": "object",
                            "properties": {
                              "objectId": {
                                "description": "A CommBox generated number for the conversation",
                                "type": "integer",
                                "example": 293854
                              },
                              "streamId": {
                                "description": "A CommBox generated number for the channel – This will be the unencrypted format of the channel Id.",
                                "type": "integer",
                                "example": 53211
                              },
                              "subStreamId": {
                                "description": "A CommBox generated number for the subchannel. A Sub-stream is not required when calling an API.",
                                "type": "integer",
                                "example": 2432
                              },
                              "streamProviderId": {
                                "type": "string",
                                "example": "972505555555"
                              },
                              "streamProviderType": {
                                "type": "integer",
                                "example": "5"
                              },
                              "user_identity": {
                                "description": "A CommBox generated number for the user",
                                "type": "integer",
                                "example": "528986"
                              },
                              "firstName": {
                                "description": "When not provided, system will use the email address.",
                                "type": "string",
                                "example": "Eddie"
                              },
                              "lastName": {
                                "type": "string",
                                "example": "Doe"
                              },
                              "userStreamProviderId": {
                                "description": "The unique Id for communication (email, phone number) of user",
                                "type": "string",
                                "example": "972505555555_by"
                              },
                              "userStreamProviderType": {
                                "description": "A CommBox generated number – see Enums",
                                "type": "integer",
                                "example": "5"
                              },
                              "content": {
                                "description": "<br>Summary of the technical aspects of communication. May include the language used, direction (Rt. for Arabic and Hebrew), URL of origin, system details (assignments to agent, acceptance of email, etc.), subject matter (emails), and an initiation time.",
                                "type": "string",
                                "example": "{\\\"guidRT\\\":\\\"82c952166e0b4989b932c41d1\\\",\\\"languages\\\":[{\\\"Item1\\\":\\\"he\\\",\\\"Item2\\\":1329062}],\\\"originUrl\\\":\\\"https://apps.commbox.com/Demo\\\",\\\"isConnected\\\"true,\\\"first_assigned_time\\\":\\\"2023-09-05T08:44:20\\\",\\\"sequence_start_time\\\":\\\"2023-09-0508:55:06.000000\\\",\\\"dropOutAggregationState\\\":1}"
                              },
                              "message": {
                                "description": "Content of the message",
                                "type": "string",
                                "example": "I need some help"
                              },
                              "createdTime": {
                                "type": "string",
                                "example": "2024-08-06T07:51:52.2581942Z"
                              },
                              "updatedTime": {
                                "type": "string",
                                "example": "2024-08-06T07:51:52.2581942Z"
                              },
                              "closeTime": {
                                "type": "string",
                                "example": "null"
                              },
                              "firstResponseTime": {
                                "description": "First response of agent",
                                "type": "string",
                                "example": "2024-08-06T07:51:52.2581942Z"
                              },
                              "lastResponseTime": {
                                "description": "Last communication of agent",
                                "type": "string",
                                "example": "2024-08-10T07:51:52.2581942Z"
                              },
                              "statusId": {
                                "description": "A CommBox generated number for conversation status – see Enums",
                                "type": "integer",
                                "example": 1
                              },
                              "assignedManagerId": {
                                "description": "Id of agent / admin",
                                "type": "integer",
                                "example": 571562
                              },
                              "lastAssignedManagerId": {
                                "description": "Id of the last agent / admin for this object",
                                "type": "integer",
                                "example": 571562
                              },
                              "type": {
                                "type": "integer",
                                "example": 4
                              },
                              "user": {
                                "type": "object",
                                "properties": {
                                  "id": {
                                    "description": "A CommBox generated number for message",
                                    "type": "integer",
                                    "example": 520760
                                  },
                                  "uniqueId": {
                                    "description": "Unique ID from Customer Info pane",
                                    "type": "string",
                                    "example": 12345
                                  },
                                  "phone1": {
                                    "description": "As appears in the Customer Info section. System adds country code.",
                                    "type": "string",
                                    "example": 972531234567
                                  },
                                  "phone2": {
                                    "type": "string",
                                    "example": 972501234332
                                  },
                                  "email": {
                                    "type": "string",
                                    "example": "eddiedoe053@gmail.com"
                                  },
                                  "firstName": {
                                    "type": "string",
                                    "example": "Eddie"
                                  },
                                  "lastName": {
                                    "type": "string",
                                    "example": "Doe"
                                  },
                                  "gender": {
                                    "type": "string",
                                    "example": "Male"
                                  },
                                  "numberIdentities": {
                                    "type": "integer",
                                    "example": 3
                                  },
                                  "locale": {
                                    "type": "string",
                                    "example": "en_US"
                                  },
                                  "birthday": {
                                    "type": "string",
                                    "example": "01/01/1980"
                                  },
                                  "remarks": {
                                    "type": "string",
                                    "example": "test remark.."
                                  },
                                  "content": {
                                    "type": "string",
                                    "example": "{}"
                                  }
                                }
                              },
                              "isManager": {
                                "description": "When True: User is an agent / admin. When  False: User is a customer",
                                "type": "boolean",
                                "example": false
                              },
                              "childs": {
                                "type": "array",
                                "items": {
                                  "oneOf": [
                                    {
                                      "type": "object",
                                      "properties": {
                                        "id": {
                                          "description": "A CommBox generated number for child",
                                          "type": "integer",
                                          "example": 123456
                                        },
                                        "object_id": {
                                          "description": "A CommBox generated number for conversation",
                                          "type": "integer",
                                          "example": 1234
                                        },
                                        "content": {
                                          "type": "string",
                                          "example": "{}"
                                        },
                                        "message": {
                                          "type": "string",
                                          "example": "some message..."
                                        },
                                        "createdTime": {
                                          "type": "string",
                                          "example": "2024-08-06T07:51:52.2581942Z"
                                        },
                                        "streamProviderType": {
                                          "type": "integer",
                                          "example": "5"
                                        },
                                        "user": {
                                          "type": "object",
                                          "properties": {
                                            "id": {
                                              "type": "integer",
                                              "example": 520760
                                            },
                                            "managerId": {
                                              "type": "integer",
                                              "example": 0
                                            },
                                            "isManager": {
                                              "type": "boolean",
                                              "example": false
                                            },
                                            "identity": {
                                              "type": "object",
                                              "properties": {
                                                "id": {
                                                  "type": "integer",
                                                  "example": 531826
                                                },
                                                "streamProviderId": {
                                                  "type": "string",
                                                  "example": "972505555555"
                                                },
                                                "streamProviderType": {
                                                  "type": "integer",
                                                  "example": "5"
                                                },
                                                "firstName": {
                                                  "type": "string",
                                                  "example": null
                                                },
                                                "lastName": {
                                                  "type": "string",
                                                  "example": null
                                                },
                                                "thumbnailUrl": {
                                                  "type": "string",
                                                  "example": null
                                                }
                                              }
                                            }
                                          }
                                        }
                                      }
                                    },
                                    {
                                      "type": "object",
                                      "properties": {
                                        "id": {
                                          "type": "integer",
                                          "example": 978944
                                        },
                                        "object_id": {
                                          "type": "integer",
                                          "example": 1234
                                        },
                                        "content": {
                                          "type": "string",
                                          "example": "{}"
                                        },
                                        "message": {
                                          "type": "string",
                                          "example": "some other message..."
                                        },
                                        "createdTime": {
                                          "type": "string",
                                          "example": "2024-08-06T07:55:52.2581942Z"
                                        },
                                        "streamProviderType": {
                                          "type": "integer",
                                          "example": "5"
                                        },
                                        "user": {
                                          "type": "object",
                                          "properties": {
                                            "id": {
                                              "type": "integer",
                                              "example": 520803
                                            },
                                            "managerId": {
                                              "type": "integer",
                                              "example": 520803
                                            },
                                            "isManager": {
                                              "type": "boolean",
                                              "example": true
                                            },
                                            "identity": {
                                              "type": "object",
                                              "properties": {
                                                "id": {
                                                  "type": "integer",
                                                  "example": 531811
                                                },
                                                "streamProviderId": {
                                                  "type": "string",
                                                  "example": "michael.b@commbox.com"
                                                },
                                                "streamProviderType": {
                                                  "type": "integer",
                                                  "example": 4
                                                },
                                                "firstName": {
                                                  "type": "string",
                                                  "example": "Michael"
                                                },
                                                "lastName": {
                                                  "type": "string",
                                                  "example": "Brown"
                                                },
                                                "thumbnailUrl": {
                                                  "type": "string",
                                                  "example": null
                                                }
                                              }
                                            }
                                          }
                                        }
                                      }
                                    }
                                  ]
                                }
                              }
                            }
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - The request could not be understood by the server. Incoming parameters might not be valid",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 400
                    },
                    "description": {
                      "type": "string",
                      "example": "Bad Request"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized - The supplied credentials, if any, are not sufficient to access the resource",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 401
                    },
                    "description": {
                      "type": "string",
                      "example": "Unauthorized access"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not Found - The requested resource is not found",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 404
                    },
                    "description": {
                      "type": "string",
                      "example": "Not found"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests - Too many requests have been made in a short period of time (Throttling)",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 429
                    },
                    "description": {
                      "type": "string",
                      "example": "Too Many Requests"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error - The server could not return the representation due to an internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 500
                    },
                    "description": {
                      "type": "string",
                      "example": "Operation failed"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                },
                "example": {
                  "status": 500,
                  "description": "Operation failed",
                  "response_time": "2025-04-15T07:24:52.956691Z"
                }
              }
            }
          },
          "501": {
            "description": "Not Implemented - The requested operation is not supported"
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "includeChilds": {
        "name": "includeChilds",
        "in": "query",
        "description": "Return objects with their childs (optional, default false)",
        "schema": {
          "type": "boolean"
        }
      },
      "includeActivityLog": {
        "name": "includeActivityLog",
        "in": "query",
        "description": "Return objects with their activity log (optional, default false)",
        "schema": {
          "type": "boolean"
        }
      }
    }
  }
}
````

